| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RemoteLocatorList Struct Reference

Holds information about the locators of a remote entity. More...

`#include <RemoteLocators.hpp>`

## Public Member Functions

| RemoteLocatorList ()
| Default constructor of RemoteLocatorList for deserialize.
| RemoteLocatorList (size_t max_unicast_locators, size_t max_multicast_locators)
| Construct a RemoteLocatorList.
| RemoteLocatorList (const RemoteLocatorList &other)
| Copy-construct a RemoteLocatorList.
RemoteLocatorList & | operator= (const RemoteLocatorList &other)
| Assign locator values from other RemoteLocatorList.
void | add_unicast_locator (const Locator_t &locator)
| Adds a locator to the unicast list.
void | add_multicast_locator (const Locator_t &locator)
| Adds a locator to the multicast list.

## Public Attributes

ResourceLimitedVector< Locator_t > | unicast
| List of unicast locators.
ResourceLimitedVector< Locator_t > | multicast
| List of multicast locators.

## Detailed Description

Holds information about the locators of a remote entity.

## Constructor & Destructor Documentation

## ◆ RemoteLocatorList() [1/3]

RemoteLocatorList | ( |  | ) |

inline

Default constructor of RemoteLocatorList for deserialize.

## ◆ RemoteLocatorList() [2/3]

RemoteLocatorList | ( | size_t | max_unicast_locators,
|  | size_t | max_multicast_locators )

inline

Construct a RemoteLocatorList.

Parameters

  max_unicast_locators | Maximum number of unicast locators to hold.
  max_multicast_locators | Maximum number of multicast locators to hold.

## ◆ RemoteLocatorList() [3/3]

RemoteLocatorList | ( | const RemoteLocatorList & | other | ) |

inline

Copy-construct a RemoteLocatorList.

Parameters

  other | RemoteLocatorList to copy data from.

## Member Function Documentation

## ◆ add_multicast_locator()

void add_multicast_locator | ( | const Locator_t & | locator | ) |

inline

Adds a locator to the multicast list.

If the locator already exists in the multicast list, or the maximum number of multicast locators has been reached, the new locator is silently discarded.

Parameters

  locator | Multicast locator to be added.

## ◆ add_unicast_locator()

void add_unicast_locator | ( | const Locator_t & | locator | ) |

inline

Adds a locator to the unicast list.

If the locator already exists in the unicast list, or the maximum number of unicast locators has been reached, the new locator is silently discarded.

Parameters

  locator | Unicast locator to be added.

## ◆ operator=()

RemoteLocatorList & operator= | ( | const RemoteLocatorList & | other | ) |

inline

Assign locator values from other RemoteLocatorList.

Parameters

  other | RemoteLocatorList to copy data from.

Remarks
  Using the assignment operator is different from copy-constructing as in the first case the configuration with the maximum number of locators is not copied. This means that, for two lists with different maximum number of locators, the expression (a = b) == b may not be true.

## Member Data Documentation

## ◆ multicast

ResourceLimitedVector<Locator_t> multicast

List of multicast locators.

## ◆ unicast

ResourceLimitedVector<Locator_t> unicast

List of unicast locators.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/common/RemoteLocators.hpp